package foo;

import java.util.logging.Logger;

public class FooEndpointImpl implements FooEndpoint
{
    private Logger logger = Logger.getLogger(this.getClass().toString());
    private Object object = null;

    public FooEndpointImpl(){
        logger.info("new instance of FooEndpointImpl");
        //new Exception().printStackTrace();
    }
    
    public void init()
    {
        object = new Object();
        logger.info("initialized: " + object + " for: " +this);
    }

    public void doNothing1(String caller)
    {
        try
        {
            logger.info(caller+" Doing nothing1.. this="+this+" object="+object);
            Thread.sleep(20000);
        }
        catch (Exception e)
        {
            logger.severe("Failed to sleep"+e);
        }
    }
    
    public void doNothing2(String caller)
    {
        try
        {
            logger.info(caller+" Doing nothing2.. this="+this+" object="+object);
            Thread.sleep(20000);
        }
        catch (Exception e)
        {
            logger.severe("Failed to sleep"+e);
        }
    }
}
