package foo;

import javax.resource.spi.work.Work;
import javax.resource.spi.endpoint.MessageEndpoint;
import javax.resource.spi.endpoint.MessageEndpointFactory;
import javax.resource.spi.work.WorkException;
import javax.resource.spi.work.WorkManager;
import java.util.logging.Logger;

public class SomeWork implements Work
{
    private Logger logger = Logger.getLogger(this.getClass().toString());
    private MessageEndpointFactory messageEndpointFactory;
    private FooEndpoint foo;
    private volatile boolean run = true;

    public void setEndpoint(FooEndpoint foo)
    {
        logger.info("SOMEWORK : setting endpoint : " + foo);
        this.foo = foo;
    }
    
    public void setMessageEndpointFactory(MessageEndpointFactory messageEndpointFactory)
    {
        logger.info("SOMEWORK : setting MEPF : " + messageEndpointFactory);
        this.messageEndpointFactory = messageEndpointFactory;
    }

    public void run()
    {
        logger.info("work run");
        try
        {
            foo.doNothing2("SOMEWORK");
        }
        catch (Exception e)
        {
            logger.severe("manager failed"+e);
        }
        logger.info("work done");
    }

    public void release()
    {
    }
}
